package src

import (
	"context"

	"go.mongodb.org/mongo-driver/mongo"
	"go.mongodb.org/mongo-driver/mongo/options"
	"go.mongodb.org/mongo-driver/mongo/readpref"
)

const uri = "mongodb://192.168.0.159:27017"

var dbCollection *mongo.Collection
var mongoClient *mongo.Client

func DbConnect() {
	mongoClient, err := mongo.Connect(context.TODO(), options.Client().ApplyURI(uri))

	if err != nil {
		panic(err)
	}

	if err := mongoClient.Ping(context.TODO(), readpref.Primary()); err != nil {
		panic(err)
	}

	dbCollection = mongoClient.Database("Environment").Collection("Main")
}

func DbDisconnect() {
	err := mongoClient.Disconnect(context.TODO())
	if err != nil {
		panic(err)
	}
}
