using ManagementPage.Database;
using ManagementPage.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using MongoDB.Bson;
using MongoDB.Bson.IO;
using MongoDB.Bson.Serialization;
using MongoDB.Driver;

namespace ManagementPage.Pages
{
    public class UserHomeModel : PageModel
    {
        public List<EnvironmentData> data;
        public List<DataSet> humidity;
        public List<DataSet> temperature;

        private readonly MongoDbClient _dbClient;
        public UserHomeModel(MongoDbClient dbClient)
        {
            data = new List<EnvironmentData>();
            humidity = new List<DataSet>();
            temperature = new List<DataSet>();
            _dbClient = dbClient;
        }
        public async Task OnGetAsync()
        {
            FindOptions<EnvironmentData> options = new FindOptions<EnvironmentData>
            {
                Limit = 100,
                NoCursorTimeout = false
            };
            using var cursor = await _dbClient.collection.FindAsync(new BsonDocument(), options);
            data.AddRange(await cursor.ToListAsync());
            foreach (var item in data)
            {
                humidity.Add(new DataSet() { x = item.Time, y = item.Humidity });
                temperature.Add(new DataSet() { x = item.Time, y = item.Temperature });
            }
        }
    }
}
